<button type="button" class="button-page"  mat-stroked-button (click)="lastPage()">Previous</button>
<button type="button" class="button-page"  mat-stroked-button (click)="nextPage()">Next</button>
<mat-card  *ngFor="let poke of pokemon">
  <mat-card-header class="card-content" (click)="goToPokemonDetail(poke.id)">
    <div mat-card-avatar style="background-image: url({{poke.image}})" style="background-size: 50px;" ></div>
    <mat-card-title>{{poke.name}}</mat-card-title>
  </mat-card-header>
  <button (click)="collectPokemon(poke.id)" type="button"  mat-stroked-button>COLLECT</button>
</mat-card>

<button type="button" class="button-page"  mat-stroked-button (click)="lastPage()">Previous</button>
<button type="button" class="button-page"  mat-stroked-button (click)="nextPage()">Next</button>
